package com.xinyilu.system.domain.motionprescriptionvideo;

import com.xinyilu.common.annotation.Excel;
import com.xinyilu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 运动处方库干预视频信息对象 motion_prescription_video
 *
 * @author xinyilu
 * @date 2023-04-04
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "运动处方库干预视频信息对象", description = "motion_prescription_video")
public class MotionPrescriptionVideo extends BaseEntity {
    private static final long serialVersionUID = -7911691530362379284L;
    /**
     * 主键id
     */
    private Long id;

    /**
     * 运动处方库表id
     */
    @ApiModelProperty(value = "运动处方库表id")
    @Excel(name = "运动处方库表id")
    private Long motionPrescriptionId;

    /**
     * 运动处方视频名称
     */
    private String prescriptionVideoName;

    /**
     * 运动处方视频编码
     */
    private String prescriptionVideoCode;

    /**
     * 处方视频地址
     */
    @ApiModelProperty(value = "处方视频地址")
    @Excel(name = "处方视频地址")
    private String prescriptionVideoUrl;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("motionPrescriptionId", getMotionPrescriptionId())
                .append("prescriptionVideoUrl", getPrescriptionVideoUrl())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
